Index: npl/mailserver/netqmail_conf/netqmail_conf.build
===================================================================
--- npl/mailserver/netqmail_conf/netqmail_conf.build	(revision f690de876d992c940c3bbb1ebf27da50beaf461e)
+++ npl/mailserver/netqmail_conf/netqmail_conf.build	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,1 +1,1 @@
-46
+49
Index: npl/mailserver/netqmail_conf/netqmail_conf.md5
===================================================================
--- npl/mailserver/netqmail_conf/netqmail_conf.md5	(revision f690de876d992c940c3bbb1ebf27da50beaf461e)
+++ npl/mailserver/netqmail_conf/netqmail_conf.md5	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,6 +1,6 @@
-2d22069ace446e9f5cbf6890d9cbbb4d  ./netqmail_conf.pkg
+3fb6160c2f8d0e947dcb298d9166647b  ./netqmail_conf.pkg
 f4f9e3673e49bd56810ee75e666f51a0  ./netqmail_conf.SlackBuild
-5373229d903d2c91059d1b6f4bbc690f  ./netqmail_conf.SlackBuild.log.gz
-47946b00d0dd8e0d1c6c87867496bf85  ./root/etc/postinst.d/post.qmail_conf
+42f722aff7e6afd32dfe6ff7a44a93cc  ./netqmail_conf.SlackBuild.log.gz
+8cda2a553c2c5ba922813a14115841e0  ./root/etc/postinst.d/post.qmail_conf
 efed79f2f7840be05415132dd99e005a  ./root/etc/qmail.permissions
 a781066c2d8b2e42e4eae0cd0545391b  ./root/etc/qmail.rc.config
@@ -10,5 +10,5 @@
 d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/control/defaultdomain.new
 919d117956d3135c4c683ff021352f5c  ./root/home/system/qmail/control/maxrcpt.new
-2909a2c64757ce93daa60e3cfc653ef1  ./root/home/system/qmail/control/qmqpservers.new
+2909a2c64757ce93daa60e3cfc653ef1  ./root/home/system/qmail/control/qmqpservers
 d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/control/rcpthosts.new
 063221b732091cd47898d4f4de0d3a86  ./root/home/system/qmail/control/relaylimits.new
@@ -28,5 +28,5 @@
 ce8344b9f086b8d80deedd97999af4a2  ./root/var/qmail/supervise/qmail-send/run
 664eb748dcf70763bbb8af153a60f4fc  ./root/var/qmail/supervise/qmail-smtpd/log/run
-d1b75635cf714be5a03ae4b559eabff7  ./root/var/qmail/supervise/qmail-smtpd/run
+00adde32d609dfbfa66a3af47f6be7e2  ./root/var/qmail/supervise/qmail-smtpd/run
 0c00964a4500bb13bcba905b59954802  ./root/var/qmail/supervise/qmail-submission/log/run
 00df93e4a56a546880039677deb50a30  ./root/var/qmail/supervise/qmail-submission/run
Index: npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf
===================================================================
--- npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf	(revision f690de876d992c940c3bbb1ebf27da50beaf461e)
+++ npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -65,10 +65,11 @@
 
 #TLS configuration
-if ! [ -e /var/qmail/control/dh1024.pem ]; then
-    openssl dhparam -out /var/qmail/control/dh1024.pem.tmp 1024 || exit 1
-    chown qmaild /var/qmail/control/dh1024.pem.tmp || exit 1
-    chmod 400 /var/qmail/control/dh1024.pem.tmp || exit 1
-    mv /var/qmail/control/dh1024.pem.tmp /var/qmail/control/dh1024.pem || exit 1
+if ! [ -e /var/qmail/control/dh2048.pem ]; then
+    openssl dhparam -out /var/qmail/control/dh2048.pem.tmp 2048 || exit 1
+    chown qmaild /var/qmail/control/dh2048.pem.tmp || exit 1
+    chmod 400 /var/qmail/control/dh2048.pem.tmp || exit 1
+    mv /var/qmail/control/dh2048.pem.tmp /var/qmail/control/dh2048.pem || exit 1
 fi
+
 
 #certificate
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -0,0 +1,1 @@
+127.0.0.1
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers.new	(revision f690de876d992c940c3bbb1ebf27da50beaf461e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-127.0.0.1
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run	(revision f690de876d992c940c3bbb1ebf27da50beaf461e)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -28,5 +28,5 @@
 
 # This enables greetdelay for qmail-smtpd
-export SMTPD_GREETDELAY=20
+export SMTPD_GREETDELAY=5
 export DROP_PRE_GREET=1
 
